Topic: MDB Angular Pro Installation question

rich@cfsnap.com pro asked 4 years ago


I'm still trying to get MDB Angular Pro installed....

In the docs it says to update package.json with a dependencies object, which I've done and saved. Then it says to run npm install which I've also done, but I keep getting permissions errors, so I've tried "sudo npm install" and I still get the permissions error:

Richs-Mac-Pro:angularpro rich$ sudo npm install

npm ERR! code 1

npm ERR! Command failed: /usr/local/bin/git clone -q https://oauth2:<TOKEN>@git.mdbootstrap.com/mdb/angular/ng-pro.git /Users/rich/.npm/_cacache/tmp/git-clone-91a948fe

npm ERR! /Users/rich/.npm/_cacache/tmp/git-clone-91a948fe/.git: Permission denied

I went into the file system and manually set the /Users/rich/.npm/_cacache/tmp directory to wide open but no matter what I continue to get this permission error. Does anyone know how I override this error to get this thing installed finally?

 

Thanks in advance,

Rich

 


rich@cfsnap.com pro answered 4 years ago


Hi Damian I did everything I could to uninstall and remove Node/NPM/Angular/CLI. I followed these instructions:
Uninstallation

https://github.com/angular/angular-cli#updating-angular-cli

cd /Users

sudo npm uninstall -g angular-cli

sudo npm uninstall --save-dev angular-cli

https://docs.npmjs.com/cli/uninstall

https://www.google.com/search?ei=_DpWWsrgAo3sjwP71IbYCw&q=how+remove+npm&oq=how+do+i+remove+npm&gs_l=psy-ab.1.0.0i22i30k1l10.3659.4945.0.8051.5.5.0.0.0.0.87.391.5.5.0....0...1c.1.64.psy-ab..0.5.389...0.0.xMbVdQNJGEM

To completely uninstall node + npm is to do the following:
  1. go to /usr/local/lib and delete any node and node_modules.
  2. go to /usr/local/include and delete any node and node_modules directory.
  3. if you installed with brew install node, then run brew uninstall node in your terminal.
http://stackabuse.com/how-to-uninstall-node-js-from-mac-osx/
  And then I performed a fresh install Node/NPM/Angular/CLI. When I type sudo ng -v into my command line I get the following:

    _                      _                 ____ _     ___

   /   _ __   __ _ _   _| | __ _ _ __     / ___| |   |_ _|

  / △ | '_ / _` | | | | |/ _` | '__|   | |   | |    | |

/ ___ | | | | (_| | |_| | | (_| | |      | |___| |___ | |

/_/   __| |_|__, |__,_|_|__,_|_|       ____|_____|___|

               |___/

    

Angular CLI: 1.6.3

Node: 8.9.4

OS: darwin x64

Angular: 5.1.3

... animations, common, compiler, compiler-cli, core, forms

... http, language-service, platform-browser

... platform-browser-dynamic, router

@angular/cli: 1.6.3

@angular-devkit/build-optimizer: 0.0.36

@angular-devkit/core: 0.0.22

@angular-devkit/schematics: 0.0.42

@ngtools/json-schema: 1.1.0

@ngtools/webpack: 1.9.3

@schematics/angular: 0.1.11

@schematics/schematics: 0.0.11

typescript: 2.4.2

webpack: 3.10.0

  I then followed your instructions as per above and I encounter the same exact permissions issue when I get to step 4. I typed
sudo npm install git+https://oauth2:XXX@git.mdbootstrap.com/mdb/angular/ng-pro.git --save
  and I continue to receive the following error message:
Richs-Mac-Pro:angular01 rich$ sudo npm install git+https://oauth2:XXX@git.mdbootstrap.com/mdb/angular/ng-pro.git --save

npm ERR! code 1

npm ERR! Command failed: /usr/local/bin/git clone -q https://oauth2:XXX@git.mdbootstrap.com/mdb/angular/ng-pro.git /Users/rich/.npm/_cacache/tmp/git-clone-6780b845

npm ERR! /Users/rich/.npm/_cacache/tmp/git-clone-6780b845/.git: Permission denied
I went into the /Users/rich/.npm/_cacache/tmp directory and set the directory to full access and tried again. I got the same error again. Guys I know this is a problem on my end, I'm doing something wrong and I continue to do something wrong, likely with my installation, I'm not sure. But I'm doing everything you're telling me to do and it hasn't worked, and I'm stuck at the same exact place. Could we please arrange a call? I did pay for the extra support in my purchase of MDB Pro. I've put in so, so much time into your project already and I haven't even gotten it installed. Please, it's time to try something new. Thanks for your help, I appreciate it. Rich  

Damian Gemza staff answered 4 years ago


Hello again, Rich Just few minutes ago i've performed fresh mdb pro install using your's token. Everything is okay. Please follow carefully my steps:
  1. ng new your-angular-app --style=scss
  2. chmod -R 777 your-angular-app
  3. cd your-angular-app
  4. npm install git+https://oauth2:<paste here your token>@git.mdbootstrap.com/mdb/angular/ng-pro.git --save
  5. perform steps 4-6 from our 5 min quick installation guide
  6. npm i --save chart.js@2.5.0 easy-pie-chart@2.1.7 hammerjs@2.0.8 screenfull@3.3.0 font-awesome
  7. ng serve -o
After following my instructions carefully, this should works. If that instructions won't work for you, please remove node, npm, angular, cli and try to install it one more time using instructions from https://angular.io/guide/quickstart Please notice, that in steps 1 and 4 there is two dash " - " characters not one, and in step 7 there is -o not -0 Let me know what's going on. Best Regards, Damian

Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Pro
  • Premium support: No
  • Technology: MDB Angular
  • MDB Version: -
  • Device: -
  • Browser: -
  • OS: -
  • Provided sample code: No
  • Provided link: No
Tags